Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network19.74.0.0/15
Usable hosts131,070
Subnet mask255.254.0.0
Addresses131,072
Network address
19.74.0.0
Broadcast address
19.75.255.255
First usable
19.74.0.1
Last usable
19.75.255.254
Usable hosts
131,070 (131,072 less the network and broadcast addresses)
Subnet mask
255.254.0.0
Wildcard mask
0.1.255.255 (Cisco ACLs, OSPF)
Prefix length
/15
Type
Public public
Old class
A (default /8)
As numbers
Hex 134A0000 · Integer 323616768 to 323747839
Reverse DNS zones
74.19.in-addr.arpa
75.19.in-addr.arpa
/15 is not on a 8-bit boundary, so it takes 2 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00010011.01001010.00000000.0000000019.74.0.0
Subnet mask11111111.11111110.00000000.00000000255.254.0.0
Network00010011.01001010.00000000.0000000019.74.0.0
Broadcast00010011.01001011.11111111.1111111119.75.255.255
Split into smaller subnets/24

19.74.0.0/15 makes 512 subnets of /24; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
119.74.0.0/2419.74.0.1 to 19.74.0.25419.74.0.255254
219.74.1.0/2419.74.1.1 to 19.74.1.25419.74.1.255254
319.74.2.0/2419.74.2.1 to 19.74.2.25419.74.2.255254
419.74.3.0/2419.74.3.1 to 19.74.3.25419.74.3.255254
519.74.4.0/2419.74.4.1 to 19.74.4.25419.74.4.255254
619.74.5.0/2419.74.5.1 to 19.74.5.25419.74.5.255254
719.74.6.0/2419.74.6.1 to 19.74.6.25419.74.6.255254
819.74.7.0/2419.74.7.1 to 19.74.7.25419.74.7.255254
919.74.8.0/2419.74.8.1 to 19.74.8.25419.74.8.255254
1019.74.9.0/2419.74.9.1 to 19.74.9.25419.74.9.255254
1119.74.10.0/2419.74.10.1 to 19.74.10.25419.74.10.255254
1219.74.11.0/2419.74.11.1 to 19.74.11.25419.74.11.255254
1319.74.12.0/2419.74.12.1 to 19.74.12.25419.74.12.255254
1419.74.13.0/2419.74.13.1 to 19.74.13.25419.74.13.255254
1519.74.14.0/2419.74.14.1 to 19.74.14.25419.74.14.255254
1619.74.15.0/2419.74.15.1 to 19.74.15.25419.74.15.255254
1719.74.16.0/2419.74.16.1 to 19.74.16.25419.74.16.255254
1819.74.17.0/2419.74.17.1 to 19.74.17.25419.74.17.255254
1919.74.18.0/2419.74.18.1 to 19.74.18.25419.74.18.255254
2019.74.19.0/2419.74.19.1 to 19.74.19.25419.74.19.255254
2119.74.20.0/2419.74.20.1 to 19.74.20.25419.74.20.255254
2219.74.21.0/2419.74.21.1 to 19.74.21.25419.74.21.255254
2319.74.22.0/2419.74.22.1 to 19.74.22.25419.74.22.255254
2419.74.23.0/2419.74.23.1 to 19.74.23.25419.74.23.255254
2519.74.24.0/2419.74.24.1 to 19.74.24.25419.74.24.255254
2619.74.25.0/2419.74.25.1 to 19.74.25.25419.74.25.255254
2719.74.26.0/2419.74.26.1 to 19.74.26.25419.74.26.255254
2819.74.27.0/2419.74.27.1 to 19.74.27.25419.74.27.255254
2919.74.28.0/2419.74.28.1 to 19.74.28.25419.74.28.255254
3019.74.29.0/2419.74.29.1 to 19.74.29.25419.74.29.255254
3119.74.30.0/2419.74.30.1 to 19.74.30.25419.74.30.255254
3219.74.31.0/2419.74.31.1 to 19.74.31.25419.74.31.255254
3319.74.32.0/2419.74.32.1 to 19.74.32.25419.74.32.255254
3419.74.33.0/2419.74.33.1 to 19.74.33.25419.74.33.255254
3519.74.34.0/2419.74.34.1 to 19.74.34.25419.74.34.255254
3619.74.35.0/2419.74.35.1 to 19.74.35.25419.74.35.255254
3719.74.36.0/2419.74.36.1 to 19.74.36.25419.74.36.255254
3819.74.37.0/2419.74.37.1 to 19.74.37.25419.74.37.255254
3919.74.38.0/2419.74.38.1 to 19.74.38.25419.74.38.255254
4019.74.39.0/2419.74.39.1 to 19.74.39.25419.74.39.255254
4119.74.40.0/2419.74.40.1 to 19.74.40.25419.74.40.255254
4219.74.41.0/2419.74.41.1 to 19.74.41.25419.74.41.255254
4319.74.42.0/2419.74.42.1 to 19.74.42.25419.74.42.255254
4419.74.43.0/2419.74.43.1 to 19.74.43.25419.74.43.255254
4519.74.44.0/2419.74.44.1 to 19.74.44.25419.74.44.255254
4619.74.45.0/2419.74.45.1 to 19.74.45.25419.74.45.255254
4719.74.46.0/2419.74.46.1 to 19.74.46.25419.74.46.255254
4819.74.47.0/2419.74.47.1 to 19.74.47.25419.74.47.255254
4919.74.48.0/2419.74.48.1 to 19.74.48.25419.74.48.255254
5019.74.49.0/2419.74.49.1 to 19.74.49.25419.74.49.255254
5119.74.50.0/2419.74.50.1 to 19.74.50.25419.74.50.255254
5219.74.51.0/2419.74.51.1 to 19.74.51.25419.74.51.255254
5319.74.52.0/2419.74.52.1 to 19.74.52.25419.74.52.255254
5419.74.53.0/2419.74.53.1 to 19.74.53.25419.74.53.255254
5519.74.54.0/2419.74.54.1 to 19.74.54.25419.74.54.255254
5619.74.55.0/2419.74.55.1 to 19.74.55.25419.74.55.255254
5719.74.56.0/2419.74.56.1 to 19.74.56.25419.74.56.255254
5819.74.57.0/2419.74.57.1 to 19.74.57.25419.74.57.255254
5919.74.58.0/2419.74.58.1 to 19.74.58.25419.74.58.255254
6019.74.59.0/2419.74.59.1 to 19.74.59.25419.74.59.255254
6119.74.60.0/2419.74.60.1 to 19.74.60.25419.74.60.255254
6219.74.61.0/2419.74.61.1 to 19.74.61.25419.74.61.255254
6319.74.62.0/2419.74.62.1 to 19.74.62.25419.74.62.255254
6419.74.63.0/2419.74.63.1 to 19.74.63.25419.74.63.255254
6519.74.64.0/2419.74.64.1 to 19.74.64.25419.74.64.255254
6619.74.65.0/2419.74.65.1 to 19.74.65.25419.74.65.255254
6719.74.66.0/2419.74.66.1 to 19.74.66.25419.74.66.255254
6819.74.67.0/2419.74.67.1 to 19.74.67.25419.74.67.255254
6919.74.68.0/2419.74.68.1 to 19.74.68.25419.74.68.255254
7019.74.69.0/2419.74.69.1 to 19.74.69.25419.74.69.255254
7119.74.70.0/2419.74.70.1 to 19.74.70.25419.74.70.255254
7219.74.71.0/2419.74.71.1 to 19.74.71.25419.74.71.255254
7319.74.72.0/2419.74.72.1 to 19.74.72.25419.74.72.255254
7419.74.73.0/2419.74.73.1 to 19.74.73.25419.74.73.255254
7519.74.74.0/2419.74.74.1 to 19.74.74.25419.74.74.255254
7619.74.75.0/2419.74.75.1 to 19.74.75.25419.74.75.255254
7719.74.76.0/2419.74.76.1 to 19.74.76.25419.74.76.255254
7819.74.77.0/2419.74.77.1 to 19.74.77.25419.74.77.255254
7919.74.78.0/2419.74.78.1 to 19.74.78.25419.74.78.255254
8019.74.79.0/2419.74.79.1 to 19.74.79.25419.74.79.255254
8119.74.80.0/2419.74.80.1 to 19.74.80.25419.74.80.255254
8219.74.81.0/2419.74.81.1 to 19.74.81.25419.74.81.255254
8319.74.82.0/2419.74.82.1 to 19.74.82.25419.74.82.255254
8419.74.83.0/2419.74.83.1 to 19.74.83.25419.74.83.255254
8519.74.84.0/2419.74.84.1 to 19.74.84.25419.74.84.255254
8619.74.85.0/2419.74.85.1 to 19.74.85.25419.74.85.255254
8719.74.86.0/2419.74.86.1 to 19.74.86.25419.74.86.255254
8819.74.87.0/2419.74.87.1 to 19.74.87.25419.74.87.255254
8919.74.88.0/2419.74.88.1 to 19.74.88.25419.74.88.255254
9019.74.89.0/2419.74.89.1 to 19.74.89.25419.74.89.255254
9119.74.90.0/2419.74.90.1 to 19.74.90.25419.74.90.255254
9219.74.91.0/2419.74.91.1 to 19.74.91.25419.74.91.255254
9319.74.92.0/2419.74.92.1 to 19.74.92.25419.74.92.255254
9419.74.93.0/2419.74.93.1 to 19.74.93.25419.74.93.255254
9519.74.94.0/2419.74.94.1 to 19.74.94.25419.74.94.255254
9619.74.95.0/2419.74.95.1 to 19.74.95.25419.74.95.255254
9719.74.96.0/2419.74.96.1 to 19.74.96.25419.74.96.255254
9819.74.97.0/2419.74.97.1 to 19.74.97.25419.74.97.255254
9919.74.98.0/2419.74.98.1 to 19.74.98.25419.74.98.255254
10019.74.99.0/2419.74.99.1 to 19.74.99.25419.74.99.255254
10119.74.100.0/2419.74.100.1 to 19.74.100.25419.74.100.255254
10219.74.101.0/2419.74.101.1 to 19.74.101.25419.74.101.255254
10319.74.102.0/2419.74.102.1 to 19.74.102.25419.74.102.255254
10419.74.103.0/2419.74.103.1 to 19.74.103.25419.74.103.255254
10519.74.104.0/2419.74.104.1 to 19.74.104.25419.74.104.255254
10619.74.105.0/2419.74.105.1 to 19.74.105.25419.74.105.255254
10719.74.106.0/2419.74.106.1 to 19.74.106.25419.74.106.255254
10819.74.107.0/2419.74.107.1 to 19.74.107.25419.74.107.255254
10919.74.108.0/2419.74.108.1 to 19.74.108.25419.74.108.255254
11019.74.109.0/2419.74.109.1 to 19.74.109.25419.74.109.255254
11119.74.110.0/2419.74.110.1 to 19.74.110.25419.74.110.255254
11219.74.111.0/2419.74.111.1 to 19.74.111.25419.74.111.255254
11319.74.112.0/2419.74.112.1 to 19.74.112.25419.74.112.255254
11419.74.113.0/2419.74.113.1 to 19.74.113.25419.74.113.255254
11519.74.114.0/2419.74.114.1 to 19.74.114.25419.74.114.255254
11619.74.115.0/2419.74.115.1 to 19.74.115.25419.74.115.255254
11719.74.116.0/2419.74.116.1 to 19.74.116.25419.74.116.255254
11819.74.117.0/2419.74.117.1 to 19.74.117.25419.74.117.255254
11919.74.118.0/2419.74.118.1 to 19.74.118.25419.74.118.255254
12019.74.119.0/2419.74.119.1 to 19.74.119.25419.74.119.255254
12119.74.120.0/2419.74.120.1 to 19.74.120.25419.74.120.255254
12219.74.121.0/2419.74.121.1 to 19.74.121.25419.74.121.255254
12319.74.122.0/2419.74.122.1 to 19.74.122.25419.74.122.255254
12419.74.123.0/2419.74.123.1 to 19.74.123.25419.74.123.255254
12519.74.124.0/2419.74.124.1 to 19.74.124.25419.74.124.255254
12619.74.125.0/2419.74.125.1 to 19.74.125.25419.74.125.255254
12719.74.126.0/2419.74.126.1 to 19.74.126.25419.74.126.255254
12819.74.127.0/2419.74.127.1 to 19.74.127.25419.74.127.255254
12919.74.128.0/2419.74.128.1 to 19.74.128.25419.74.128.255254
13019.74.129.0/2419.74.129.1 to 19.74.129.25419.74.129.255254
13119.74.130.0/2419.74.130.1 to 19.74.130.25419.74.130.255254
13219.74.131.0/2419.74.131.1 to 19.74.131.25419.74.131.255254
13319.74.132.0/2419.74.132.1 to 19.74.132.25419.74.132.255254
13419.74.133.0/2419.74.133.1 to 19.74.133.25419.74.133.255254
13519.74.134.0/2419.74.134.1 to 19.74.134.25419.74.134.255254
13619.74.135.0/2419.74.135.1 to 19.74.135.25419.74.135.255254
13719.74.136.0/2419.74.136.1 to 19.74.136.25419.74.136.255254
13819.74.137.0/2419.74.137.1 to 19.74.137.25419.74.137.255254
13919.74.138.0/2419.74.138.1 to 19.74.138.25419.74.138.255254
14019.74.139.0/2419.74.139.1 to 19.74.139.25419.74.139.255254
14119.74.140.0/2419.74.140.1 to 19.74.140.25419.74.140.255254
14219.74.141.0/2419.74.141.1 to 19.74.141.25419.74.141.255254
14319.74.142.0/2419.74.142.1 to 19.74.142.25419.74.142.255254
14419.74.143.0/2419.74.143.1 to 19.74.143.25419.74.143.255254
14519.74.144.0/2419.74.144.1 to 19.74.144.25419.74.144.255254
14619.74.145.0/2419.74.145.1 to 19.74.145.25419.74.145.255254
14719.74.146.0/2419.74.146.1 to 19.74.146.25419.74.146.255254
14819.74.147.0/2419.74.147.1 to 19.74.147.25419.74.147.255254
14919.74.148.0/2419.74.148.1 to 19.74.148.25419.74.148.255254
15019.74.149.0/2419.74.149.1 to 19.74.149.25419.74.149.255254
15119.74.150.0/2419.74.150.1 to 19.74.150.25419.74.150.255254
15219.74.151.0/2419.74.151.1 to 19.74.151.25419.74.151.255254
15319.74.152.0/2419.74.152.1 to 19.74.152.25419.74.152.255254
15419.74.153.0/2419.74.153.1 to 19.74.153.25419.74.153.255254
15519.74.154.0/2419.74.154.1 to 19.74.154.25419.74.154.255254
15619.74.155.0/2419.74.155.1 to 19.74.155.25419.74.155.255254
15719.74.156.0/2419.74.156.1 to 19.74.156.25419.74.156.255254
15819.74.157.0/2419.74.157.1 to 19.74.157.25419.74.157.255254
15919.74.158.0/2419.74.158.1 to 19.74.158.25419.74.158.255254
16019.74.159.0/2419.74.159.1 to 19.74.159.25419.74.159.255254
16119.74.160.0/2419.74.160.1 to 19.74.160.25419.74.160.255254
16219.74.161.0/2419.74.161.1 to 19.74.161.25419.74.161.255254
16319.74.162.0/2419.74.162.1 to 19.74.162.25419.74.162.255254
16419.74.163.0/2419.74.163.1 to 19.74.163.25419.74.163.255254
16519.74.164.0/2419.74.164.1 to 19.74.164.25419.74.164.255254
16619.74.165.0/2419.74.165.1 to 19.74.165.25419.74.165.255254
16719.74.166.0/2419.74.166.1 to 19.74.166.25419.74.166.255254
16819.74.167.0/2419.74.167.1 to 19.74.167.25419.74.167.255254
16919.74.168.0/2419.74.168.1 to 19.74.168.25419.74.168.255254
17019.74.169.0/2419.74.169.1 to 19.74.169.25419.74.169.255254
17119.74.170.0/2419.74.170.1 to 19.74.170.25419.74.170.255254
17219.74.171.0/2419.74.171.1 to 19.74.171.25419.74.171.255254
17319.74.172.0/2419.74.172.1 to 19.74.172.25419.74.172.255254
17419.74.173.0/2419.74.173.1 to 19.74.173.25419.74.173.255254
17519.74.174.0/2419.74.174.1 to 19.74.174.25419.74.174.255254
17619.74.175.0/2419.74.175.1 to 19.74.175.25419.74.175.255254
17719.74.176.0/2419.74.176.1 to 19.74.176.25419.74.176.255254
17819.74.177.0/2419.74.177.1 to 19.74.177.25419.74.177.255254
17919.74.178.0/2419.74.178.1 to 19.74.178.25419.74.178.255254
18019.74.179.0/2419.74.179.1 to 19.74.179.25419.74.179.255254
18119.74.180.0/2419.74.180.1 to 19.74.180.25419.74.180.255254
18219.74.181.0/2419.74.181.1 to 19.74.181.25419.74.181.255254
18319.74.182.0/2419.74.182.1 to 19.74.182.25419.74.182.255254
18419.74.183.0/2419.74.183.1 to 19.74.183.25419.74.183.255254
18519.74.184.0/2419.74.184.1 to 19.74.184.25419.74.184.255254
18619.74.185.0/2419.74.185.1 to 19.74.185.25419.74.185.255254
18719.74.186.0/2419.74.186.1 to 19.74.186.25419.74.186.255254
18819.74.187.0/2419.74.187.1 to 19.74.187.25419.74.187.255254
18919.74.188.0/2419.74.188.1 to 19.74.188.25419.74.188.255254
19019.74.189.0/2419.74.189.1 to 19.74.189.25419.74.189.255254
19119.74.190.0/2419.74.190.1 to 19.74.190.25419.74.190.255254
19219.74.191.0/2419.74.191.1 to 19.74.191.25419.74.191.255254
19319.74.192.0/2419.74.192.1 to 19.74.192.25419.74.192.255254
19419.74.193.0/2419.74.193.1 to 19.74.193.25419.74.193.255254
19519.74.194.0/2419.74.194.1 to 19.74.194.25419.74.194.255254
19619.74.195.0/2419.74.195.1 to 19.74.195.25419.74.195.255254
19719.74.196.0/2419.74.196.1 to 19.74.196.25419.74.196.255254
19819.74.197.0/2419.74.197.1 to 19.74.197.25419.74.197.255254
19919.74.198.0/2419.74.198.1 to 19.74.198.25419.74.198.255254
20019.74.199.0/2419.74.199.1 to 19.74.199.25419.74.199.255254
20119.74.200.0/2419.74.200.1 to 19.74.200.25419.74.200.255254
20219.74.201.0/2419.74.201.1 to 19.74.201.25419.74.201.255254
20319.74.202.0/2419.74.202.1 to 19.74.202.25419.74.202.255254
20419.74.203.0/2419.74.203.1 to 19.74.203.25419.74.203.255254
20519.74.204.0/2419.74.204.1 to 19.74.204.25419.74.204.255254
20619.74.205.0/2419.74.205.1 to 19.74.205.25419.74.205.255254
20719.74.206.0/2419.74.206.1 to 19.74.206.25419.74.206.255254
20819.74.207.0/2419.74.207.1 to 19.74.207.25419.74.207.255254
20919.74.208.0/2419.74.208.1 to 19.74.208.25419.74.208.255254
21019.74.209.0/2419.74.209.1 to 19.74.209.25419.74.209.255254
21119.74.210.0/2419.74.210.1 to 19.74.210.25419.74.210.255254
21219.74.211.0/2419.74.211.1 to 19.74.211.25419.74.211.255254
21319.74.212.0/2419.74.212.1 to 19.74.212.25419.74.212.255254
21419.74.213.0/2419.74.213.1 to 19.74.213.25419.74.213.255254
21519.74.214.0/2419.74.214.1 to 19.74.214.25419.74.214.255254
21619.74.215.0/2419.74.215.1 to 19.74.215.25419.74.215.255254
21719.74.216.0/2419.74.216.1 to 19.74.216.25419.74.216.255254
21819.74.217.0/2419.74.217.1 to 19.74.217.25419.74.217.255254
21919.74.218.0/2419.74.218.1 to 19.74.218.25419.74.218.255254
22019.74.219.0/2419.74.219.1 to 19.74.219.25419.74.219.255254
22119.74.220.0/2419.74.220.1 to 19.74.220.25419.74.220.255254
22219.74.221.0/2419.74.221.1 to 19.74.221.25419.74.221.255254
22319.74.222.0/2419.74.222.1 to 19.74.222.25419.74.222.255254
22419.74.223.0/2419.74.223.1 to 19.74.223.25419.74.223.255254
22519.74.224.0/2419.74.224.1 to 19.74.224.25419.74.224.255254
22619.74.225.0/2419.74.225.1 to 19.74.225.25419.74.225.255254
22719.74.226.0/2419.74.226.1 to 19.74.226.25419.74.226.255254
22819.74.227.0/2419.74.227.1 to 19.74.227.25419.74.227.255254
22919.74.228.0/2419.74.228.1 to 19.74.228.25419.74.228.255254
23019.74.229.0/2419.74.229.1 to 19.74.229.25419.74.229.255254
23119.74.230.0/2419.74.230.1 to 19.74.230.25419.74.230.255254
23219.74.231.0/2419.74.231.1 to 19.74.231.25419.74.231.255254
23319.74.232.0/2419.74.232.1 to 19.74.232.25419.74.232.255254
23419.74.233.0/2419.74.233.1 to 19.74.233.25419.74.233.255254
23519.74.234.0/2419.74.234.1 to 19.74.234.25419.74.234.255254
23619.74.235.0/2419.74.235.1 to 19.74.235.25419.74.235.255254
23719.74.236.0/2419.74.236.1 to 19.74.236.25419.74.236.255254
23819.74.237.0/2419.74.237.1 to 19.74.237.25419.74.237.255254
23919.74.238.0/2419.74.238.1 to 19.74.238.25419.74.238.255254
24019.74.239.0/2419.74.239.1 to 19.74.239.25419.74.239.255254
24119.74.240.0/2419.74.240.1 to 19.74.240.25419.74.240.255254
24219.74.241.0/2419.74.241.1 to 19.74.241.25419.74.241.255254
24319.74.242.0/2419.74.242.1 to 19.74.242.25419.74.242.255254
24419.74.243.0/2419.74.243.1 to 19.74.243.25419.74.243.255254
24519.74.244.0/2419.74.244.1 to 19.74.244.25419.74.244.255254
24619.74.245.0/2419.74.245.1 to 19.74.245.25419.74.245.255254
24719.74.246.0/2419.74.246.1 to 19.74.246.25419.74.246.255254
24819.74.247.0/2419.74.247.1 to 19.74.247.25419.74.247.255254
24919.74.248.0/2419.74.248.1 to 19.74.248.25419.74.248.255254
25019.74.249.0/2419.74.249.1 to 19.74.249.25419.74.249.255254
25119.74.250.0/2419.74.250.1 to 19.74.250.25419.74.250.255254
25219.74.251.0/2419.74.251.1 to 19.74.251.25419.74.251.255254
25319.74.252.0/2419.74.252.1 to 19.74.252.25419.74.252.255254
25419.74.253.0/2419.74.253.1 to 19.74.253.25419.74.253.255254
25519.74.254.0/2419.74.254.1 to 19.74.254.25419.74.254.255254
25619.74.255.0/2419.74.255.1 to 19.74.255.25419.74.255.255254

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses